%define upstream_name    Config-Model-OpenSsh
%define upstream_version 1.237

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    OpenSsh configuration files editor and API
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Config/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(AnyEvent)
BuildRequires: perl(Config::Model) >= 2.50.0
BuildRequires: perl(Config::Model::Tester) >= 2.42.0
BuildRequires: perl(EV)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(Log::Log4perl) >= 1.110.0
BuildRequires: perl(Module::Build) >= 0.340.0
BuildRequires: perl(Mouse)
BuildRequires: perl(Mouse::Meta::Attribute::Custom::Trait::Hash)
BuildRequires: perl(Test::More)
BuildRequires: perl(Tk)
# for testsuite:
BuildRequires: perl(Config::Model::CursesUI)
BuildRequires: perl(Config::Model::TkUI)

BuildArch:  noarch

%description
This module provides a configuration model for OpenSsh. Then Config::Model
provides a graphical editor program for _/etc/ssh/sshd_config_ and
_/etc/ssh/ssh_config_. See the config-edit-sshd manpage and the
config-edit-ssh manpage for more help.

This module and Config::Model can also be used to modify safely the content
for _/etc/ssh/sshd_config_, _/etc/ssh/ssh_config_ or _~/.ssh/config_ from
Perl programs.

Once this module is installed, you can run (as root, but please backup
/etc/X11/xorg.conf before):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Build.PL --installdirs=vendor
./Build


%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml demo
%{_mandir}/man3/*
%{perl_vendorlib}/Config


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.237.0-3pclos2017
- rebuild against updates

